# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename extend

Name:               nodejs-extend
Version:            1.3.0
Release:            1%{?dist}
Summary:            Port of jQuery.extend for node.js and the browser

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/extend
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6



%if 0%{?enable_tests}
BuildRequires:      npm(covert)
BuildRequires:      npm(tape)
%endif


%description
nodejs-extend is a port of the classic extend() method from jQuery. It behaves
as you expect.  It is simple, tried and true.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/extend
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/extend

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node test/index.js
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/extend/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.3.0-1
- Initial packaging for Fedora.
